All resources All frames

# GZIPFilter

This filter will compress the content of replies using GZIP. Compression is done on the fly. This assumes that you're really on a slow link, where you have lots of CPU, but not much bandwidth.

A nifty usage for that filter, is to plug it on top of a ProxyDirectory, in which case it will compress the data when it flies out of the proxy.

## Inherits

The GZIPFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The GZIPFilter defines the following attributes:

- mime-types

`mime-types`

semantics
  The set of MIME types this filter is allowed to compress.
type
  This attribute is an editable StringArrayAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.GZIPFilter.html,v 1.3 1998/03/27 08:17:29 bmahe Exp $